interface ComToolCtrl {
  /*! @function on
   *  @if japanese
   *    @brief グリッパーを開く
   *  @else 
   *    @brief open gripper
   *  @endif 
   */
  unsigned short gripper_open();
  /*! @function on
   *  @if japanese
   *    @brief グリッパーを
   *  @else 
   *    @brief close gripper
   *  @endif 
   */
  unsigned short gripper_close();
  /*! @function on
   *  @if japanese
   *    @brief グリッパーの状態を取得
   *  @else 
   *    @brief get condition
   *  @endif 
   */
  unsigned short get_cond();
  /*! @function on
   *  @if japanese
   *    @brief グリッパーの動作モードを取得
   *  @else 
   *    @brief get mode
   *  @endif 
   */
  unsigned short get_mode();
  /*! @function on
   *  @if japanese
   *    @brief グリッパーの動作を中断
   *  @else 
   *    @brief stop gripper
   *  @endif 
   */
  unsigned short gripper_stop();
};
